Subject: Re: bug#51989: [PATCH 00/12] Add aws-vault and missing dependent packages

From: Ludovic Courtès <[email-masked]>
Date: Sat, 18 Dec 2021 19:56:02 +0100

Hi Collin,

"Collin J. Doering" <[email-masked]> skribis:

> aws-vault is a tool to securely store and use aws credentials. This patch set packages aws-vault as well as missing dependencies.
>
> Note: perhaps gnu/packages/golang.scm is not the best fit for these changes. Any suggestions for a better spot appreciated.

Hmm not sure; most of the dependencies are at home in golang.scm IMO.
I’d leave it as is.

> Collin J. Doering (12):
>   gnu: Add go-keyring
>   gnu: Add go-androidnsfix
>   gnu: Add go-percent
>   gnu: Add go-aws-sdk-go
>   gnu: Add go-jose2go
>   gnu: Add go-libsecret
>   gnu: Add go-ini
>   gnu: Add go-open-golang
>   gnu: Add go-alecthomas-template
>   gnu: Add go-alecthomas-units
>   gnu: Add go-kingpin
>   gnu: Add aws-vault

I tried to apply those (overall it LGTM), but the order is incorrect:
for instance ‘go-keyring’ depends on ‘go-percent’ and ‘go-libsecret’.

So I have the following queries:

  1. Do you think you could send them in the “right order”?

  2. As you go, could you pass them to:

      ./pre-inst-env guix style PKG

     ?

  3. Last, it would be perfect if you could provide the conventional
     commit logs.

Thanks in advance, and sorry for the delay!

Ludo’.